<?php
	include 'config.php';
	include 'classes.php';
	include 'functions.php';
	include 'settings.php';
	
	$ezLoc->get_data("admin");
	$types = Array("min", "med", "max");
	
	/* Manuelles Update eines Spielers */
	if (isset($_GET['update'])) {
		$player = $_GET['update'];
		
		$settings['stats']['default'] = $ezData->get_stats($player, "default");
		$settings['stats']['dogtags'] = $ezData->get_stats($player, "dogtags");
		
		foreach ($types as $type) {
			$settings['type'] = $type;
			$ezImage = new ezImage($settings);
			$ezImage->create_signature();
		}
		
		echo 1;
	}
	
	/* Signaturen fr alle Mitglieder */
	else {
		$players = $ezData->get_all_players("active", "name", 50, "DESC");
		
		foreach ($players as $player) {
			$settings['stats']['default'] = $ezData->get_stats($player, "default");
			$settings['stats']['dogtags'] = $ezData->get_stats($player, "dogtags");
			
			foreach ($types as $type) {
				$settings['type'] = $type;
				$ezImage = new ezImage($settings);
				$ezImage->create_signature();
			}
			
			$str = str_replace('%name%', htmlentities($player), $ezLoc->data['player_signature_updated']);
			echo $str."<br/>";
		}
	}
?>